Home

# Class goog.ui.DragDropDetector

Creates a new drag and drop detector.

extends goog.events.EventTarget

Instance Method Summary
| `clearContents_()` Clear the contents of the iframe.
| `coverScreen_(?goog.events.BrowserEvent e)` Cover the screen with the iframe.

`disposeInternal()`

Unattach listeners from this object. Classes that extend EventTarget may need to override this method in order to remove references to DOM Elements and additional listeners, it should be something like this:

    MyClass.prototype.disposeInternal = function() {
    MyClass.superClass_.disposeInternal.call(this);
    // Dispose logic for MyClass
    };

| `handleInputDrop_(?goog.events.BrowserEvent e)` Handle a drop on the IE text INPUT.
| `handleNewDrag_(?goog.events.BrowserEvent e) ⇒ (boolean|undefined)` Handle a new drag event.
| `handleNodeInserted_(?goog.events.BrowserEvent e)` Event handler called when the content of the iframe changes.
| `initIframe_()` Initialize the iframe after it has loaded.
| `switchToIframe_(?goog.events.BrowserEvent e)` Remove the text INPUT so the IFRAME is showing. Does nothing when the DIV is off screen.
| `switchToInput_(?goog.events.BrowserEvent e)` Re-insert the INPUT into the DIV. Does nothing when the DIV is off screen.
| `trackMouse_(?goog.events.BrowserEvent e)` Handle mouse tracking.
| `uncoverScreen_()` Uncover the screen.

Static Method Summary
| `enforceCopyEffect_(?goog.events.BrowserEvent e)` Enforce that anything dragged over the IFRAME is copied in to it, rather than making it navigate to a different URL.